# Maintainer: Michal Sotolar <michal@sotolar.com>

pkgname=php7-psr

pkgver=1.2.0
pkgrel=1
pkgdesc="PHP extension providing the accepted PSR interfaces"
arch=('x86_64')
url="https://github.com/jbboehr/php-psr"
license=('BSD')
depends=('php7')
makedepends=('gcc')
provides=('php-psr=$pkgver')
backup=('etc/php7/conf.d/psr.ini')
source=("https://github.com/jbboehr/php-psr/archive/v$pkgver.zip")
sha256sums=('823446b08ab4c493afc7283d24229dc5cfee65d46f040d3028b1bb67730a170b')

build() {
    cd "$srcdir/php-psr-$pkgver"

    if [ -f Makefile ]; then
        make clean
        phpize7 --clean
    fi

    phpize7
    ./configure --prefix=/usr
    make
}

package() {
    cd "$srcdir/php-psr-$pkgver"
    make INSTALL_ROOT="$pkgdir" install
    echo 'extension=psr.so' > psr.ini 
    install -Dm644 psr.ini "$pkgdir/etc/php7/conf.d/psr.ini"
    install -Dm644 "$srcdir/php-psr-$pkgver/LICENSE.md" "$pkgdir/usr/share/licenses/php7-psr/LICENSE.md"
}
